Bug 970970 - Disabled Trait metrics don't disappear from table in corresponding tab
Summary: Disabled Trait metrics don't disappear from table in corresponding tab
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Core UI   
(Show other bugs)
Version: 4.6
Hardware: Unspecified Unspecified
unspecified
low vote
Target Milestone: ---
: RHQ 4.8
Assignee: Heiko W. Rupp
QA Contact: Mike Foley
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-05 11:09 UTC by Ilya Maleev
Modified: 2013-09-11 09:53 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-11 09:53:17 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ilya Maleev 2013-06-05 11:09:31 UTC
Description of problem:
When some metric gets disabled in Schedules, it shouldn't be displayed in a table in corresponding tab.
It's native RHQ behavior.
Measurement metrics work so, but trait metrics don't.

Steps to Reproduce:
1. Enable any Measurement metric in Schedules for any resource
2. Swith to the Tables tab
3. In the Schedules tab disable the Measurement metric
4. Swith to the Tables tab
5. Repeat actions for Trait metric

Expected results:
1. Metric has been enabled. Its collection has started
2. Enabled metric is present in the table
3. Metric has been disabled. Its collection has stopped
4. The disabled metric has gone from the table
5. The disabled metric has gone from the table

Actual results:
1. OK
2. OK
3. OK
4. OK. The disabled metric has disappeared
5. NOK. The disabled metric is still here, despite its value doesn't update

Comment 1 Heiko W. Rupp 2013-06-18 14:19:55 UTC
master 6ef38560

Comment 2 Heiko W. Rupp 2013-09-11 09:53:17 UTC
Bulk closing of old issues now that HRQ 4.9 is in front of the door.

If you think the issue has not been solved, then please open a new bug and mention this one in the description.


Note You need to log in before you can comment on or make changes to this bug.